//
//  MenuTableViewController.swift
//  HereTo
//
//  Created by Pol Martínez Maragall on 6/6/17.
//  Copyright © 2017 Parse. All rights reserved.
//

import UIKit

class MenuTableViewController: UITableViewController {

    /**           **
     ** Functions **
     **           **/
    
    //Crides un cop al view esta carregada
    override func viewDidLoad() {
        super.viewDidLoad()
        //Amagar els separator lines de les cel·les buides
        self.tableView.tableFooterView = UIView(frame: CGRect.zero)
    }
    
    override func viewWillAppear(_ animated: Bool) {
        super.viewWillAppear(animated)
        //Pintar la statusBar del menu
        UIApplication.shared.statusBarView?.backgroundColor = #colorLiteral(red: 0.2588235294, green: 0.7568627451, blue: 0.968627451, alpha: 1)
    }
    
    override func viewWillDisappear(_ animated: Bool) {
        super.viewWillDisappear(animated)
        //Deshabilitar la configuració de pintar la statusBar al sortir de la view
        UIApplication.shared.statusBarView?.backgroundColor = .none
    }
}

/**            **
 ** Extensions **
 **            **/

//Extensió per poder configurar la statusBar
extension UIApplication {
    var statusBarView: UIView? {
        return value(forKey: "statusBar") as? UIView
    }
}
